Package ch.qos.logback.core.sift

# Class AbstractDiscriminator<E>

java.lang.Object
ch.qos.logback.core.spi.ContextAwareBase
ch.qos.logback.core.sift.AbstractDiscriminator<E>

All Implemented Interfaces:
  `Discriminator<E>`, `ContextAware`, `LifeCycle`

Direct Known Subclasses:
  `AccessEventDiscriminator`, `ContextBasedDiscriminator`, `DefaultDiscriminator`, `JNDIBasedContextDiscriminator`, `MDCBasedDiscriminator`

public abstract class AbstractDiscriminator<E> extends ContextAwareBase implements Discriminator<E>
Base implementation of `Discriminator` that provides basic lifecycle management

Since:
  3/29/13, 3:28 PM
Author:
  Tomasz Nurkiewicz

## Field Summary

Fields
Modifier and Type
Field
Description
`protected boolean`
`started`

### Fields inherited from class ch.qos.logback.core.spi.ContextAwareBase

`context`

## Constructor Summary

Constructors
Constructor
Description
`AbstractDiscriminator()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isStarted()`
`void`
`start()`
`void`
`stop()`

### Methods inherited from class ch.qos.logback.core.spi.ContextAwareBase

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, getDeclaredOrigin, getStatusManager, setContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface ch.qos.logback.core.sift.Discriminator

`getDiscriminatingValue, getKey`

## Field Details

### started

protected boolean started

## Constructor Details

### AbstractDiscriminator

public AbstractDiscriminator()

## Method Details

### start

public void start()

Specified by:
  `start` in interface `LifeCycle`

### stop

public void stop()

Specified by:
  `stop` in interface `LifeCycle`

### isStarted

public boolean isStarted()

Specified by:
  `isStarted` in interface `LifeCycle`